6.0.0-git
2019-04-25

[#10472] H4 backends.php SQL config does not work with postgres
Summary H4 backends.php SQL config does not work with postgres
Queue Gollem
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester iron_hat (at) hotmail (dot) com
Created 2011-09-01 (2793 days ago)
Due
Updated 2011-09-02 (2792 days ago)
Assigned 2011-09-01 (2793 days ago)
Resolved 2011-09-02 (2792 days ago)
Milestone
Patch No

History
2011-09-02 16:39:57 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2011-09-02 16:39:47 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Don't pass 'table' parameter to Horde_Db (Bug #10472).

  1 files changed, 3 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/a2082d825a03b150297357242a64a10162034b92
2011-09-02 00:32:18 iron_hat (at) hotmail (dot) com Comment #3 Reply to this comment
Can you please elaborate?
When gollem/config/backends.php lines 180 and 181 are:
     'params' => array_merge($GLOBALS['conf']['sql'],
                             array('table' => 'horde_vfs')),

Gollem will return the following error:
Could not instantiate PDO with DSN 
"pgsql:table=horde_vfs;host=<host>;dbname=<dbname>". PDOException: 
SQLSTATE[08006] [7] invalid connection option "table"

Where <host> and <dbname> are installation specific.

When the line is changed to
     'params' => $GLOBALS['conf']['sql'],

The application performs as expected.
2011-09-01 08:39:24 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Can you please elaborate?
2011-09-01 01:04:10 iron_hat (at) hotmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ H4 backends.php SQL config does not work with postgres
Queue ⇒ Gollem
Milestone ⇒
Patch ⇒ No
Reply to this comment
The default SQL configuration does not work with Postgres. The table 
name parameter should not be passed. The lines in question are on 
180/181 and 217/218 of config/backends.php.dist

Saved Queries